question

Ramki-5805 avatar image
0 Votes"
Ramki-5805 asked Prasad-MSFT answered

Clone MS Teams Groups as Admin

Hello Team

Am looking for a solution to cone the MS teams groups from one to another. li

i belive, there is no native method t clone from one teams groups to another , however i would like to check to clone the teams groups as mentioned in the below link

http://www.ktskumar.com/2021/06/clone-your-team-using-microsoft-graph-api/

any help?

office-teams-app-devmicrosoft-graph-teamwork
· 4
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

Hi @Ramki-5805

Do you mean you want to clone Team using API in your Teams client or move the team to another tenant?

I found a blog shows an example how to clone Team using PowerShell. Hope it can help you

Note: Microsoft is providing this information as a convenience to you. The sites are not controlled by Microsoft. Microsoft cannot make any representations regarding the quality, safety, or suitability of any software or information found there. Please make sure that you completely understand the risk before retrieving any suggestions from the above link.


If the response is helpful, please click "Accept Answer" and upvote it.

Note: Please follow the steps in our documentation to enable e-mail notifications if you want to receive the related email notification for this thread.



0 Votes 0 ·

Hi @JimmyYang-MSFT

Do you mean you want to clone Team using API in your Teams client or move the team to another tenant? - No...not between tenants

https://www.c-sharpcorner.com/blogs/how-to-clone-team-using-microsoft-graph-api-in-powershell

the above link is helpfull, however, wheere i have to mentined the soucre teams group name.

Say for eg.

IT_STUDY_GROUP is my source MS Teams , - there are lot of channels, tabs, members on it

i want to clone the aboove grpup . where i shd mention IT_STUDY_GROUP in the scripts, should i mention in display Name section

"displayName": "Cloned Team",
"description": "Cloned Team using Graph API",
"mailNickname": "clonedTeam",



0 Votes 0 ·

HI @JimmyYang-MSFT

$URL = "https://graph.microsoft.com/v1.0/teams/daba3aa7-6622-4f75-8e27-a9587c6642dc/clone"

need to replace the above Grouip ID for Teams clone

working like charms\s

0 Votes 0 ·
Show more comments

1 Answer

Prasad-MSFT avatar image
0 Votes"
Prasad-MSFT answered

Hi @Ramki-5805

Follow this link to clone a MS Teams group using Graph API.

Make sure to replace your 'MS Teams group ID' which you want to clone in place of {id} in below request call

POST /teams/{id}/clone
Content-Type: application/json


Request Body:
{
"displayName": "xxxxxx",
"description": "xxxxxx",
"mailNickname": "xxxxxx",
"partsToClone": "apps,tabs,settings,channels,members",
"visibility": "public"
}


Thanks,

Prasad Das



If the response is helpful, please click "Accept Answer" and upvote it. You can share your feedback via Microsoft Teams Developer Feedback link. Click here to escalate.



5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.